HAT-OBSERVE(1)

NAME
hat-observe - observe all arguments and results for a Haskell function

SYNOPSIS
hat-observe prog[.hat]

DESCRIPTION
hat-observe is an interactive tool to observe equations for all applications of top-level functions during the computation of the program prog. Each equation shows the specific arguments given to the function in one call, together with the result of the call. Identical calls are suppressed, and it is possible to suppress calls that are less general than other calls already seen. There are various other options for restricting the equations that are reported, for instance by pattern-matching on certain arguments or results, by suppressing recursive calls, or by restricting to a certain caller.

FILES

/usr/local/bin/hat-observe

SEE ALSO
nhc98(1), hat-stack(1), hat-detect(1), hat-trail(1), hat-explore(1)